var t = Object.defineProperty;
var s = (o, r, l) => r in o ? t(o, r, { enumerable: !0, configurable: !0, writable: !0, value: l }) : o[r] = l;
var e = (o, r, l) => s(o, typeof r != "symbol" ? r + "" : r, l);
class c {
  constructor() {
    e(this, "controllers", {});
    e(this, "_push", (r, l) => {
      this.controllers[r] = l;
    });
    e(this, "_remove", (r) => {
      delete this.controllers[r];
    });
    e(this, "abortAll", () => {
      Object.values(this.controllers).forEach((r) => {
        r.abort();
      });
    });
  }
}
export {
  c as AbortControllersManager
};
